# utilities for the tests

def assertEqualElements(seq1, seq2):
    """ asserts that both lists contain the same entries
    no matter in which order
    """
    for x in seq1:
        if x not in seq2:
            raise AssertionError(
'''%s not in sequence.
 expected sequence:\n\t%s
 got sequence:\n\t%s''' %\
        (x, '\n\t'.join(map(str,seq1)), \
         '\n\t'.join(map(str,seq2))) )
    for y in seq2:
        if y not in seq1:
            raise AssertionError(
'''%s too much in sequence.
 expected sequence:\n\t%s
 got sequence:\n\t%s''' % \
        (y, '\n\t'.join(map(str,seq1)),
         '\n\t'.join(map(str,seq2)) ))

